@echo off

rem ********************************************************************************
rem *
rem * COPYSGDD.BAT
rem *
rem * This file controls the the setup of the ServerGuide set of device drivers on 
rem * the newly created NOS partition for the ServerGuide Scripting Toolkit.  
rem *
rem * This batch file is called by the instos.bat.
rem *
rem ********************************************************************************

rem ********************************************************************************
rem * Change to NOS installation drive, make sure in root.
rem ********************************************************************************
%NOSDRV%
cd \

rem ********************************************************************************
rem * Create application directory
rem ********************************************************************************
md %APPS_DIR%


rem ********************************************************************************
rem * Create toolkit utilities directory
rem ********************************************************************************
md %WRK_DIR%



:CPDRVSET
rem ********************************************************************************
rem * Copy the driver set specific for this server
rem *
rem * MACHTYPE set in the environment by the running of sysvars.bat
rem ********************************************************************************
ddcopy %DSET_PATH% %WRK_DIR%\$oem$\$1\drv /m:%MACHTYPE% /v:2


rem ********************************************************************************
rem * Check for errors: DDCOPY.EXE
rem ********************************************************************************
if not errorlevel 1 goto RESETPT
echo An error occurred during ddcopy of the driver set to the target.
echo Source path = %DSET_PATH%
echo.
goto ERROR


:RESETPT
cd \%WRK_DIR%
goto END


:ERROR
rem ********************************************************************************
rem * Hit an error in this batch file.
rem ********************************************************************************
echo Encountered an error and stopped processing in "copyssdd.bat".

savestat.exe /set2=251 > nul

goto END


:END